# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test67
# FileName:      conftest.py
# Author:       lao_zhao
# Datetime:     2025/6/13 15:35
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_v3.request_method.request_method import RequestMethod
from APIAutoTest_v3.utils.db import DB


@pytest.fixture(scope="session")
def req_fix():
    yield RequestMethod()


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()